corda / net.corda.core.node.services / ServiceInfo

# ServiceInfo

`data class ServiceInfo`

A container for additional information for an advertised service.

### Parameters

`type` - the ServiceType identifier

`name` - the service name, used for differentiating multiple services of the same type. Can also be used as a grouping identifier for nodes collectively running a distributed service.

### Constructors

<init> | `ServiceInfo(type: ServiceType, name: String? = null)` A container for additional information for an advertised service.

### Properties

name | `val name: String?`
type | `val type: ServiceType`

### Functions

toString | `fun toString(): String`

### Companion Object Functions

parse | `fun parse(encoded: String): ServiceInfo`